Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq:

[legend]
Collaboration diagram for DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq (void)
| _TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq (CORBA::ULong maximum, CORBA::ULong length, NameValuePair *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq (const _TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq &rhs)
_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq & | operator= (const _TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq &rhs)
virtual | ~_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq (void)
NameValuePair & | operator[] (CORBA::ULong i)
const NameValuePair & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
NameValuePair * | get_buffer (CORBA::Boolean orphan=0)
const NameValuePair * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, NameValuePair *data, CORBA::Boolean release)
## Static Public Methods
NameValuePair * | allocbuf (CORBA::ULong size)
void | freebuf (NameValuePair *buffer)

## Constructor & Destructor Documentation

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq | ( | void |  | ) |

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq | ( | CORBA::ULong | maximum | ) |

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | NameValuePair * | data,
|  | CORBA::Boolean | release = 0
| ) |

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq | ( | const _TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq & | rhs | ) |

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::~_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

void DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

NameValuePair* DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

void DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::freebuf | ( | NameValuePair * | buffer | ) | `[static]`

const NameValuePair* DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::get_buffer | ( | void |  | ) | const

NameValuePair* DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq& DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::operator= | ( | const _TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq & | rhs | ) |

const NameValuePair& DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::operator[] | ( | CORBA::ULong | i | ) | const

NameValuePair& DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::operator[] | ( | CORBA::ULong | i | ) |

void DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameValuePairSeq::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | NameValuePair * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp